#include<iostream>
#include<string>
using namespace std;
string a;
int x=0, y=0;
int duljina;
int main(){
cin>>a;
duljina=a.size();
for(int i=0; i<duljina; i++){
    if(a[i]=='L'){
        x--;
    }
    if(a[i]=='R'){
        x++;
    }
    if(a[i]=='U'){
        y--;
    }
    if(a[i]=='D'){
        y++;
    }
}
if(x==0 and y==0){
    cout<<0;
}else{
    if(y>0){
        for(int i=0; i<y; i++){
            cout<<"U";
        }
    }else{
        y=y*-1;
        for(int i=0; i<y; i++){
            cout<<"D";
        }
    }
    if(x>0){
        for(int i=0; i<x; i++){
            cout<<"L";
        }
    }else{
        x=x*-1;
        for(int i=0; i<x; i++){
            cout<<"R";
        }
    }
}
return 0;
}
